Skip to main content
POST
/
internal_wallets
/
{walletId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<WalletAsset>> = fireblocks.internalWallets.createInternalWalletAsset(internalWalletsApiCreateInternalWalletAssetRequest);
{
  "id": "<string>",
  "balance": "<string>",
  "lockedAmount": "<string>",
  "status": "WAITING_FOR_APPROVAL",
  "address": "<string>",
  "tag": "<string>",
  "activationTime": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

walletId
string
required

The ID of the wallet

assetId
string
required

The ID of the asset to add

Body

application/json
address
string
required

The wallet's address or, for EOS wallets, the account name

tag
string

for XRP wallets, the destination tag; for EOS, the memo; for the fiat providers (BLINC by BCB Group), the Bank Transfer Description

Response

A Wallet Asset object

id
string
balance
string
lockedAmount
string
status
enum<string>
Available options:
WAITING_FOR_APPROVAL,
APPROVED,
CANCELLED,
REJECTED,
FAILED
address
string
tag
string
activationTime
string